package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 测评选专业类对象 sy_test_select_category
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyTestSelectCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 选择id */
    private Long id;

    /** 应试学生id */
    @Excel(name = "应试学生id")
    private Long examineeId;

    /** 用户编码 */
    @Excel(name = "用户编码")
    private String customerCode;

    /** 专类类编码 */
    @Excel(name = "专类类编码")
    private String majorCategoryCode;

    /** 1 有效 0 无效 */
    @Excel(name = "1 有效 0 无效")
    private Long state;

    /** 次序 */
    @Excel(name = "次序")
    private Long ranking;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }
    public void setCustomerCode(String customerCode) 
    {
        this.customerCode = customerCode;
    }

    public String getCustomerCode() 
    {
        return customerCode;
    }
    public void setMajorCategoryCode(String majorCategoryCode) 
    {
        this.majorCategoryCode = majorCategoryCode;
    }

    public String getMajorCategoryCode() 
    {
        return majorCategoryCode;
    }
    public void setState(Long state) 
    {
        this.state = state;
    }

    public Long getState() 
    {
        return state;
    }
    public void setRanking(Long ranking) 
    {
        this.ranking = ranking;
    }

    public Long getRanking() 
    {
        return ranking;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("examineeId", getExamineeId())
            .append("customerCode", getCustomerCode())
            .append("majorCategoryCode", getMajorCategoryCode())
            .append("state", getState())
            .append("ranking", getRanking())
            .append("createTime", getCreateTime())
            .toString();
    }
}
